<div class="col-lg-12 main-container">
  <div class="col-lg-12 no-padding">
    <div [ngClass]="{'col-lg-12 no-padding': fullscreen.map, 'col-lg-7 no-padding': !fullscreen.map && !minimize.map && !minimize.list, 'hidden': fullscreen.list , 'col-lg-1 width5': minimize.map, 'col-lg-11': minimize.list}">
      <div class="panel panel-without-bottom panel-border">
        <!-- <div class="panel-heading clearfix">
          <i class="glyphicon pull-right resize-icons" *ngIf="!minimize.map" (click)="fullscreen.map = !fullscreen.map; fullscreen.list = false;map.triggerResize()"
            [ngClass]="{'glyphicon-resize-full': !fullscreen.map , 'glyphicon-resize-small':fullscreen.map}"></i>
          <i class="glyphicon pull-right resize-icons" (click)="minimize.map = !minimize.map; minimize.list = false;" [ngClass]="{'glyphicon-arrow-left': !minimize.map , 'glyphicon-arrow-right':minimize.map}"></i>
        </div> -->
        <div class="panel-body fixed-height">
          <app-geo-fencing-map [hidden]="minimize.map" (filter)="applyFilter($event)" [data]="assetFiltered" (action)="action($event)" [realtime]="realtimeDataForMap"></app-geo-fencing-map>
          <div [hidden]="!minimize.map" class="vertical-text">MAP VIEW</div>
        </div>
      </div>
    </div>
    <div [ngClass]="{'hidden': fullscreen.map, 'col-lg-12 no-padding-right': fullscreen.list, 'col-lg-5 no-padding-right': !fullscreen.list && !minimize.map , 'col-lg-11 no-padding-right': minimize.map, 'col-lg-1 width5': minimize.list }">
      <div class="panel panel-without-bottom panel-border">
        <!-- <div class="panel-heading clearfix resize-icons">
          <i class="glyphicon pull-right resize-icons" *ngIf="!minimize.list" (click)="fullscreen.list = !fullscreen.list; fullscreen.map = false;"
            [ngClass]="{'glyphicon-resize-full': !fullscreen.list , 'glyphicon-resize-small':fullscreen.list}"></i>
          <i class="glyphicon pull-right resize-icons" (click)="minimize.list = !minimize.list; minimize.map = false;" [ngClass]="{'glyphicon-arrow-left': !minimize.list , 'glyphicon-arrow-right':minimize.list }"></i>
        </div> -->
        <div class="panel-body fixed-height">
          <app-geo-fencing-list [hidden]="minimize.list" [filterBy]="filter" (dataChange)="dataChanged($event)" (geoData)="geoData($event)" (realTime)="realTimeData($event)"></app-geo-fencing-list>
          <div [hidden]="!minimize.list" class="vertical-text">MAP VIEW</div>
        </div>
      </div>
    </div>
  </div>
</div>
